unit uTestORM;

interface

  procedure TestORM;

implementation

uses
  Spring.Persistence.Core.DatabaseManager,
  Spring.Persistence.Core.ConnectionFactory,
  Spring.Persistence.Core.Session,
  Spring.Persistence.Core.Interfaces,
  Spring.Collections,
  Spring.Collections.Lists,
  ZConnection,
  ZCompatibility,
  Spring.Persistence.Adapters.Zeos,
  SysUtils,
  uEntities;

procedure TestORM;
var
  TestDB: TZConnection;
  Connection: IDBConnection;
  Session: TSession;
  TestEntity: TTestEntity;
begin
  TestDB := TZConnection.Create(nil);
  TestDB.Database := 'D:\volleystudio.fdb';
  TestDB.LibraryLocation := 'C:\Program Files (x86)\Firebird\Firebird_3_0\fbclient.dll';
  TestDB.Protocol := 'firebirdd-3.0';
  TestDB.HostName := 'localhost';
  TestDB.Port := 3050;
  TestDB.User := 'SYSDBA';
  TestDB.Password := 'password';
  TestDB.ClientCodepage := 'UTF8';
  TestDB.ControlsCodePage := cCP_UTF16;
  Connection := TConnectionFactory.GetInstance(dtZeos, TestDB);
  Session:= TSession.Create(Connection);
  try
    TestEntity := TTestEntity.Create;
    try
      Session.Save(TestEntity);
    finally
      TestEntity.Free;
    end;
  finally
    Session.Free;
  end;
end;

end.
